{ pkgs }:
(pkgs.rustPlatform.buildRustPackage rec {
  pname = "discord-presence-lsp";
  version = "200ae73131a098516025e4fd5269d8c8cb6144f6";
  cargoHash = "sha256-JLNCEeo9fKeV4vTtPs+Yj2wRO1RKP2fuetrPlXcPBjA=";

  src = pkgs.fetchFromGitHub {
    owner = "xhyrom";
    repo = "zed-discord-presence";
    rev = version;
    hash = "sha256-RmpY0xkJYNDYn6SWNdKGpPetmBxf2/xY25FLeJqf0Po=";
  };

  cargoBuildFlags = "--package discord-presence-lsp";
})
